| Haskell Hierarchical Libraries (base package) | Contents | Index

Data.Tuple

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
The tuple data types, and associated functions.
Synopsis

fst :: (a, b) -> a
snd :: (a, b) -> b
curry :: ((a, b) -> c) -> a -> b -> c
uncurry :: (a -> b -> c) -> (a, b) -> c

Documentation
fst :: (a, b) -> a
Extract the first component of a pair.
snd :: (a, b) -> b
Extract the second component of a pair.
curry :: ((a, b) -> c) -> a -> b -> c
`curry` converts an uncurried function to a curried function.
uncurry :: (a -> b -> c) -> (a, b) -> c
`uncurry` converts a curried function to a function on pairs.
Produced by Haddock version 0.7